Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 465661 - FTBFS: asterisk fails to build from source and causes broken deps
Summary: FTBFS: asterisk fails to build from source and causes broken deps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 457108 461338
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-10-05 10:22 UTC by Alex Lancaster
Modified: 2008-10-11 01:50 UTC (History)
2 users (show)

Fixed In Version: 1.6.0.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 18:47:00 UTC


Attachments (Terms of Use)

Description Alex Lancaster 2008-10-05 10:22:31 UTC
Broken deps for i386
----------------------------------------------------------
        asterisk-mobile-1.6.0-0.21.beta9.fc10.i386 requires libbluetooth.so.2

Failed a rebuild:

https://koji.fedoraproject.org/koji/taskinfo?taskID=820346

Also, I see from www.asterisk.org it looks like official 1.6.0 has been
released, perhaps it will fix these issues?

Comment 1 Jeffrey C. Ollie 2008-10-05 12:46:44 UTC
More recent versions of Asterisk (including the official release) require DAHDI, which is awaiting review:

https://bugzilla.redhat.com/show_bug.cgi?id=461338

It'd be nice to get libss7 reviewed too, but that's not a required dependency:

https://bugzilla.redhat.com/show_bug.cgi?id=457108

Comment 2 Jeffrey C. Ollie 2008-10-08 19:26:12 UTC
libss7 has been reviewed and is now in rawhide.  Still waiting for DAHDI to be reviewed.

Comment 3 Jeffrey C. Ollie 2008-10-10 18:47:00 UTC
dahdi-tools has been reviewed and the final version of Asterisk 1.6.0 has been built against it.  They should show up tomorrow in rawhide.  This will also fix the broken deps against libbluetooth.

Comment 4 Alex Lancaster 2008-10-11 01:50:01 UTC
Build here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=65989

should probably close as RAWHIDE, not NOTABUG, since it was a bug that was fixed. ;)


Note You need to log in before you can comment on or make changes to this bug.